/* Modal CSS thanks to https://www.w3schools.com/howto/howto_css_modal_images.asp 
Slightly adjusted by Paul Albinson, for example styling the image as .c-modal-image instead of #myImg 
then it works for multiple images. Done similar with caption, which now uses .c-modal-caption. Also 
renamed .close to .c-modal-close. It also works fine with content other than images so can add anything 
as content.
appending classes with c- (for customised) is to avoid clashes with bootstrap's modal classes. */ 

/* Style the Image Used to Trigger the Modal, only add this class if you want these stylings to happen */
.c-modal-image {
  border-radius: 5px;  
  transition: 0.3s;
}

.c-modal-image:hover{
    opacity: 0.7;
}

/* Style the item that will be used to open the modal */
.c-modal-item:hover {    
    cursor: pointer;
}

/* The Modal (background) */
.c-modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.c-modal-content {
  margin: auto;
  display: block;
  width: auto;
  max-width: 95%;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
.c-modal-caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.c-modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button - Used to be called .close but renamed to avoid confusion with other potential 
closes */
.c-modal-close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.c-modal-close:hover,
.c-modal-close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .c-modal-content {
    width: 100%;
  }
} 